## rtmpsink rtmpsink — Sends FLV content to a server via RTMP |

## Properties

gchar * | location | Read / Write

## Types and Values

struct | GstRTMPSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstRTMPSink

## Implemented Interfaces

GstRTMPSink implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | rtmp
author | Jan Schmidt <thaytan@noraisin.net>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-flv

## Functions

## Types and Values

### struct GstRTMPSink

    struct GstRTMPSink;

## Property Details

### The `“location”` property

      “location”                 gchar *

RTMP url.

Flags: Read / Write

Default value: NULL